summaryrefslogtreecommitdiff
path: root/examples/modules
diff options
context:
space:
mode:
authorMartin Grabmüller <mgrabmue@cs.tu-berlin.de>2001-07-27 16:11:13 +0000
committerMartin Grabmüller <mgrabmue@cs.tu-berlin.de>2001-07-27 16:11:13 +0000
commit024001c213e229f9a6ba0066184f59349559003a (patch)
tree9c7613f25394238f09275efebd88194070abe8bf /examples/modules
parenta0f5718e1556066cc536a7871529dc077b70a594 (diff)
downloadguile-024001c213e229f9a6ba0066184f59349559003a.tar.gz
Check in forgotten test scripts.
Diffstat (limited to 'examples/modules')
-rwxr-xr-xexamples/modules/check.test27
1 files changed, 27 insertions, 0 deletions
diff --git a/examples/modules/check.test b/examples/modules/check.test
new file mode 100755
index 000000000..f7a789b69
--- /dev/null
+++ b/examples/modules/check.test
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# must be run from this directory
+guile=${GUILE-../../libguile/guile}
+
+if test "X$srcdir" = X; then
+ srcdir=.
+fi
+
+set -e
+
+#
+# ./main test
+#
+$guile -s $srcdir/main > TMP
+cat <<EOF | diff -u - TMP
+module-0 foo
+module-0 bar
+module-1 foo
+module-1 bar
+module-2 braz
+module-2 braz
+module-2 foo
+EOF
+rm -f TMP
+
+# check.test ends here